openapi: 3.0.1
info:
  title: Security Attributes Provider OpenAPI definition
  version: 1.1.1
  description: OpenAPI definition for the Security Attributes Provider component of the SIMPL project
  license:
    name: European Union Public License (EUPL) 1.2
    url: https://interoperable-europe.ec.europa.eu/sites/default/files/custom-page/attachment/eupl_v1.2_en.pdf
servers:
- url: /v1
  description: securityattributesprovider
tags:
- name: Identity Attributes
  description: API for managing Identity Attributes
- name: Mtls
  description: API for managing Mtls
paths:
  /participants/{participantId}/identityAttributes/assign:
    $ref: paths/participants/participantId/identityAttributes/assign.yaml
  /participants/{participantId}/identityAttributes/unassign:
    $ref: paths/participants/participantId/identityAttributes/unassign.yaml
  /identityAttributes/{id}:
    $ref: paths/identityAttributes/id.yaml
  /identityAttributes/assignable/{value}:
    $ref: paths/identityAttributes/assignable/value.yaml
  /identityAttributes/assign/{participantType}/{participantId}:
    $ref: paths/identityAttributes/assign/participantType/participantId.yaml
  /identityAttributes/assignParticipant/{participantId}:
    $ref: paths/identityAttributes/assignParticipant/participantId.yaml
  /identityAttributes/unassignParticipant/{participantId}:
    $ref: paths/identityAttributes/unassignParticipant/participantId.yaml
  /identityAttributes/addParticipantType/{participantType}:
    $ref: paths/identityAttributes/addParticipantType/participantType.yaml
  /identityAttributes:
    $ref: paths/identityAttributes.yaml
  /identityAttributes/import:
    $ref: paths/identityAttributes/import.yaml
  /mtls/identityAttributes:
    $ref: paths/mtls/identityAttributes.yaml
  /mtls/identityAttributes/{credentialId}:
    $ref: paths/mtls/identityAttributes/credentialId.yaml
components:
  schemas:
    PageMetadata:
      $ref: schemas/PageMetadata.yaml
    IdentityAttributeWithOwnership:
      $ref: schemas/IdentityAttributeWithOwnership.yaml
    Error:
      $ref: schemas/Error.yaml
    IdentityAttribute:
      $ref: schemas/IdentityAttribute.yaml
    PageResponseIdentityAttribute:
      $ref: schemas/PageResponseIdentityAttribute.yaml
  securitySchemes:
    mtls:
      description: SIMPL mTLS
      type: http
      scheme: http
    oauth2AuthCode:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: ""
          tokenUrl: ""
          scopes: {}
    oauth2ClientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: ""
          scopes: {}
